export type DiffType = 'common' | DiffChangedType;
export type DiffChangedType = 'removed' | 'added';
export type DiffResult<T> = {
    type: DiffChangedType;
    value: T;
} | {
    type: 'common';
    value: [T, T];
};
/**
 * Legacy DiffResult
 */
export type FlattenDiffResult<T> = {
    type: DiffType;
    value: T;
};
export declare function diff<T>(A: T[], B: T[], eq?: (a: T, b: T) => boolean): DiffResult<T>[];
