"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var ava_1 = __importDefault(require("ava"));
var _1 = require("./");
(0, ava_1.default)('empty', function (t) {
    t.deepEqual((0, _1.diff)([], []), []);
});
(0, ava_1.default)('"a" vs "b"', function (t) {
    t.deepEqual((0, _1.diff)(['a'], ['b']), [
        { type: 'removed', value: 'a' },
        { type: 'added', value: 'b' },
    ]);
});
(0, ava_1.default)('"a" vs "a"', function (t) {
    t.deepEqual((0, _1.diff)(['a'], ['a']), [{ type: 'common', value: ['a', 'a'] }]);
});
(0, ava_1.default)('"a" vs ""', function (t) {
    t.deepEqual((0, _1.diff)(['a'], []), [{ type: 'removed', value: 'a' }]);
});
(0, ava_1.default)('"" vs "a"', function (t) {
    t.deepEqual((0, _1.diff)([], ['a']), [{ type: 'added', value: 'a' }]);
});
(0, ava_1.default)('"a" vs "a, b"', function (t) {
    t.deepEqual((0, _1.diff)(['a'], ['a', 'b']), [
        { type: 'common', value: ['a', 'a'] },
        { type: 'added', value: 'b' },
    ]);
});
(0, ava_1.default)('"strength" vs "string"', function (t) {
    t.deepEqual((0, _1.diff)(Array.from('strength'), Array.from('string')), [
        { type: 'common', value: ['s', 's'] },
        { type: 'common', value: ['t', 't'] },
        { type: 'common', value: ['r', 'r'] },
        { type: 'removed', value: 'e' },
        { type: 'added', value: 'i' },
        { type: 'common', value: ['n', 'n'] },
        { type: 'common', value: ['g', 'g'] },
        { type: 'removed', value: 't' },
        { type: 'removed', value: 'h' },
    ]);
});
(0, ava_1.default)('"strength" vs ""', function (t) {
    t.deepEqual((0, _1.diff)(Array.from('strength'), Array.from('')), [
        { type: 'removed', value: 's' },
        { type: 'removed', value: 't' },
        { type: 'removed', value: 'r' },
        { type: 'removed', value: 'e' },
        { type: 'removed', value: 'n' },
        { type: 'removed', value: 'g' },
        { type: 'removed', value: 't' },
        { type: 'removed', value: 'h' },
    ]);
});
(0, ava_1.default)('"" vs "strength"', function (t) {
    t.deepEqual((0, _1.diff)(Array.from(''), Array.from('strength')), [
        { type: 'added', value: 's' },
        { type: 'added', value: 't' },
        { type: 'added', value: 'r' },
        { type: 'added', value: 'e' },
        { type: 'added', value: 'n' },
        { type: 'added', value: 'g' },
        { type: 'added', value: 't' },
        { type: 'added', value: 'h' },
    ]);
});
(0, ava_1.default)('"abc", "c" vs "abc", "bcd", "c"', function (t) {
    t.deepEqual((0, _1.diff)(['abc', 'c'], ['abc', 'bcd', 'c']), [
        { type: 'common', value: ['abc', 'abc'] },
        { type: 'added', value: 'bcd' },
        { type: 'common', value: ['c', 'c'] },
    ]);
});
(0, ava_1.default)('"a" vs "b" with custom eq', function (t) {
    t.deepEqual((0, _1.diff)(['a'], ['b'], function () { return true; }), [{ type: 'common', value: ['a', 'b'] }]);
});
